// Copyright 2015, University of Freiburg,
// Chair of Algorithms and Data Structures.
// Author: Zhiwei Zhang <zhiwei.zhang@saturn.uni-freiburg.de>

#ifndef _USERS_ZHANGZHIWEI_ZHIWEI_ZHANG_REALTESTCLASS_H_
#define _USERS_ZHANGZHIWEI_ZHIWEI_ZHANG_REALTESTCLASS_H_

#include <string>
#include <vector>

using std::string;
using std::vector;

class RealTestClass {
 public:
  // read from a file which constains all the names of all the data.
  RealTestClass(const string& fileName, const string& filePath);
  void testWithPointerS8();
  void testWithPointerS8Old();
  void testWithPointerS8N1();
  void testWithPointerS8N2();
  void testWithPointerVB();

 private:
  // store the names of all the data.
  vector<string> _namesofFiles;

  // store the path of the folder which contains all the data.
  string _filePath;
};
#endif  // _USERS_ZHANGZHIWEI_ZHIWEI_ZHANG_REALTESTCLASS_H_
